:::{index} single: Architecture
:name: Architecture
:::

# Architecture

## Introduction

The **GALACTIC** project is  [architected](#galactic)
using Python's capability to detect extensions through the mechanism of
[*entry points*](https://packaging.python.org/en/latest/specifications/entry-points/).
This architecture has allowed us to develop a core that is agnostic of its extensions,
offering developers the ability to add their own description mechanisms or exploration
strategies.

:::{index} pair: Architecture; Extensions
:name: Architecture; Extensions
:::

## Extensions

The core of **GALACTIC** is divided into several layers onto which extensions can be
added:

* **characteristics** that allow the extraction of any type of value from the data;
* **descriptions** that describe a set of values (and thus data) through the boundaries
  of a generalized convex hull;
* **strategies** that explore a dataset by focusing on groups that satisfy certain
  monadic predicates;
* **measures** that feed *meta*-strategies;
* **data readers** that enable the reading of any type of file to populate datasets.

~~~{image} /_images/architecture/flower.svg
:alt: General Architecture of GALACTIC
:align: center
:name: galactic
~~~

```{toctree}
:hidden:
:caption: Core
Introduction <core/index>
```

```{toctree}
:hidden:
:caption: Input/Output
Introduction <io/index>
io/data
```
