---
orphan: true
nobreadcrumbs: true
---

# 👷 Contributors

The **GALACTIC** Organization is an informal group of researchers working in the field of
formal concept analysis. Individuals are listed in the historical order of their
contribution.

::::{grid} 1 1 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Karell Bertet
Full professor
^^^
![Karell Bertet](https://www.gravatar.com/avatar/5a4abbefc52246c4986b4482185ae50f?s=100){.rounded w=100px}

Karell Bertet (2004-2025) is a full professor at the L3i.

She is at the origin of the first library written in java
manipulating formal concept analysis and lattices.
:::

:::{grid-item-card} Stéphanie Guillas
phD
^^^
![Stéphanie Guillas](_images/avatars/Leia.svg){.rounded .only-light w=100px}
![Stéphanie Guillas](_images/avatars/Leia-dark.svg){.rounded .only-dark w=100px}

Stéphanie Guillas (2004-2007) completed his phD in computer sciences at the L3i.                                                

Stéphanie conducted his PhD on recognition of deteriorared graphic objects: approach based
on concept lattice, under the leadership of  Karell Bertet and Jean-Marc Ogier at
La Rochelle University.        
:::

:::{grid-item-card} Nathalie Girard
Assistant professor
^^^
![Nathalie Girard](_images/avatars/Nathalie-Girard.jpeg){.rounded w=100px}

Nathalie Girard (2008-2013) completed his phD in computer sciences at the L3i.

Nathalie conducted his phD on an automatic image classification system and the
development of a hybrid model between decision tree and Galois lattice. She is currently
an assistant professor at IRISA, Rennes.
:::

:::{grid-item-card} Clément Guérin
phD
^^^
![Clément Guérin](_images/avatars/Clement-Guerin.png){.rounded w=100px}

Clément Guérin (2011-2014) completed his phD in computer sciences at the L3i.                                                |

Clément conducted his PhD on comic books knowledge analysis through the years
2011 to 2014. During this time he worked on an efficient implementation of the
computation of the immediate successors of lattice concepts.
Afterwards, he has been involved in several topics, such as image analysis and
recommendation systems. He joined a private company in late 2016 where he is now
in charge of the data science infrastructure.
:::

:::{grid-item-card} Christophe Demko
Assistant professor
^^^
![Christophe Demko](https://www.gravatar.com/avatar/8f3be2c1d014f124f134c6b32e38b123?s=100){.rounded w=100px}

Christophe Demko (2011-2025) is an assistant professor at the L3i.

He is the software architect of the **GALACTIC** python packages
:::

:::{grid-item-card} Ngoc Bich Dao
phD
^^^
![Ngoc Bich Dao](_images/avatars/Ngoc-Bich-Dao.jpg){.rounded w=100px}

Ngoc Bich Dao (2012-2017) completed his phD in computer sciences at the l3i.

Ngoc Bich conducted his phD on the reduction of visual word bag size using
Formal Concepts Analysis.
:::

:::{grid-item-card} Jean-François Viaud
phD
^^^
![Jean-François Viaud](https://www.gravatar.com/avatar/0e051ab92a339b673fe086ee4d6c01ef?s=100){.rounded w=100px}

Jean-François Viaud (2014-2017) completed his phD in computer sciences at the L3i.

He contributed to the first version written in java.
:::

:::{grid-item-card} Jessie Carbonnel
Assistant professor
^^^
![Jessie Carbonnel](https://www.gravatar.com/avatar/6d2253cd07e82e1b12202ff943854b40?s=100){.rounded w=100px}

Jessie Carbonnel (2017) was invited during its phD at the L3i.

Jessie Galasso-Carbonnel got a PhD in computer science from the
University of Montpellier, France, where she worked on symbolic
machine learning for information system reverse engineering.
She is particularly interested in knowledge extraction and
representation of complex systems. She is currently working on
knowledge engineering related topics at the French Institute of
Sustainable Development. She is currently an assistant professor at
McGill University, Canada.
:::

:::{grid-item-card} Salah Eddine Boukhetta
phD
^^^
![Salah Eddine Boukhetta](https://www.gravatar.com/avatar/3a14d31c460a007b51df9be83296996e?s=100){.rounded w=100px}

Salah Eddine Boukhetta (2018-2022) is a phD student at the L3i
under the direction of Karell Bertet.

He has developed the *quantile* strategy for numerical attributes
that can serve as an example for creating new strategies.
He is working on sequence attributes and strategies which is the
main subject of his phD thesis.
:::

:::{grid-item-card} Clément Bodin
Undergraduate intern
^^^
![Clément Bodin](https://www.gravatar.com/avatar/2770088709d6b32a541bdc6598c68ef5?s=100){.rounded w=100px}

Clément Bodin (2019) was an intern during his third year computer
sciences bachelor's degree in 2019 at the L3i.

He helped to fix the `galactic-laser` executable and added
instructions in the various manuals.
:::

:::{grid-item-card} Léo Grippon
Undergraduate intern
^^^
![Léo Grippon](https://www.gravatar.com/avatar/94955eeec4bbe1f4a1db8d0ee27ef60f?s=100){.rounded w=100px}

Léo Grippon (2019) was an intern during his third year computer
sciences bachelor's degree in 2019 at the L3i.

He developped the various data readers for the
**GALACTIC** core engine and added instructions in the various manuals.
:::

:::{grid-item-card} Sébastien Amoury
Undergraduate intern
^^^
![Sébastien Amoury](https://www.gravatar.com/avatar/525331e2dd8610f4413533651d713d9a?s=100){.rounded w=100px}

Sébastien Amoury (2019; 2021) was an intern during his third year
computer sciences bachelor's degree in 2019 at the L3i and
participated in the code writing during the *research* teaching
of the second year of the computer sciences master's degree.

He extended the description and basic strategy for the numerical
attributes to the 2-dimensional case and added instructions in the
various manuals.

He created the `galactic-ruler` app.
:::

:::{grid-item-card} Issa Mboup
Undergraduate intern
^^^
![Issa Mboup](_images/avatars/Issa-MBoup.png){.rounded w=100px}

Issa Mboup (2020) was an intern during his first year of
computer sciences master's degree in 2020 at the L3i.

He started the work on graph plugins.
:::

:::{grid-item-card} William Vertadier
Graduate student
^^^
![William Vertadier](https://www.gravatar.com/avatar/3d25db26ae3afcd557ee6f313ff9ea98?s=100){.rounded w=100px}

William Vertadier (2021) participated in the code writing during
the *research* teaching of the second year of the computer
sciences master's degree.

He created the `galactic-ruler`app.
:::

:::{grid-item-card} Raphaël Beck-Protoy
Graduate student
^^^
![Raphaël Beck-Protoy](_images/avatars/Dark-Vador.svg){.rounded .only-light w=100px}
![Raphaël Beck-Protoy](_images/avatars/Dark-Vador-dark.svg){.rounded .only-dark w=100px}

Raphaël Beck-Protoy (2021) participated in the code writing during
the *research* teaching of the second year of the computer
sciences master's degree.

He created the `galactic-ruler`app.
:::

:::{grid-item-card} Romain Poyault
Undergraduate intern
^^^
![Romain Poyault](https://www.gravatar.com/avatar/fe03b1ebc59290edf0ba92fa8c93b0c8?s=100){.rounded w=100px}

Romain Poyault (2021) was an intern during his third year
computer sciences bachelor's degree in 2021 at the L3i.

He started the windows installer.
:::

:::{grid-item-card} Jérémy Richard
phD
^^^
![Jérémy Richard](https://www.gravatar.com/avatar/33df96aa9d70da780b522f73c2192074?s=100){.rounded w=100px}

Jérémy Richard (2019-2022) has been a phD student at the L3i
under the direction of Karell Bertet.

He participated to the writing of the function allowing the
extension of a lattice.
He used **GALACTIC** as a tool for analyzing geospatial trajectories.
:::

:::{grid-item-card} Thibault Raquet
Graduate student
^^^
![Thibault Raquet](https://www.gravatar.com/avatar/1e01c06eda833c70fa0eac9adb18f7ee?s=100){.rounded w=100px}

Thibault Raquet (2022) participated in the code writing during
its second year of the computer sciences master's degree
of the University of La Rochelle.

He created the `galactic-configurator` app.
:::

:::{grid-item-card} Thibault Le Guillou
Graduate student
^^^
![Thibault Le Guillou](https://www.gravatar.com/avatar/ba59105eb9a11269bc1ec7452fa9c855?s=100){.rounded w=100px}

Thibault Le Guillou (2022) participated in the code writing during
its second year of the computer sciences master's degree
of the University of La Rochelle.

He created the `galactic-configurator` app.
:::

:::{grid-item-card} Benjamin Valognes
Graduate student
^^^
![Benjamin Valognes](https://www.gravatar.com/avatar/02f72a81bf7e990bd70a33375a3202c7?s=100){.rounded w=100px}

Benjamin Valognes (2022) participated in the code writing during
its second year of the computer sciences master's degree
of the University of La Rochelle.

He created the `galactic-configurator` app.
:::

:::{grid-item-card} Éléonore Thonneau
Undergraduate intern
^^^
![Éléonore Thonneau](https://www.gravatar.com/avatar/c6b715b34c5a0b3b5e3ebb61c6e4ed13?s=100){.rounded w=100px}

Éléonore thonneau (2022) was an intern during his third year
computer sciences bachelor's degree in 2022 at the L3i.

She created the plugins for processing fuzzy data.
:::

:::{grid-item-card} Kevin Voisin
Undergraduate intern
^^^
![Kevin Voisin](https://www.gravatar.com/avatar/d390bb761cb4c935ca9dd215fe2c9a37?s=100){.rounded w=100px}

Kevin Voisin (2022) was an intern during his third year
computer sciences bachelor's degree in 2022 at the L3i.

He created the `Path` class for intuitive access to data in any python tree.  
:::

:::{grid-item-card} Martin Ehlinger
Undergraduate intern
^^^
![Martin Ehlinger](https://www.gravatar.com/avatar/43ea671bea27a00d436417d39595d1d1?s=100){.rounded w=100px}

Martin Ehlinger (2022) was an intern during his third year
computer sciences bachelor's degree in 2022 at the L3i.

He created the windows installer using the system provided by
**NSIS**: **N**ullsoft **S**criptable **I**nstall **S**ystem
:::

:::{grid-item-card} Jules Bricou
Undergraduate intern
^^^
![Jules Bricou](_images/avatars/Dark-Vador.svg){.rounded .only-light w=100px}
![Jules Bricou](_images/avatars/Dark-Vador-dark.svg){.rounded .only-dark w=100px}

Jules Bricou (2022) was an intern during his third year
computer sciences bachelor's degree in 2022 at the L3i.

He developed the first version of **GALACTIC** as a development
framework.
:::

:::{grid-item-card} Alexandre Buffard
Undergraduate intern
^^^
![Alexandre Buffard](_images/avatars/Dark-Vador.svg){.rounded .only-light w=100px}
![Alexandre Buffard](_images/avatars/Dark-Vador-dark.svg){.rounded .only-dark w=100px}

Alexandre Buffard (2022) was an intern during his third year
computer sciences bachelor's degree in 2022 at the L3i.

He created the plugins for processing discrete quantitative data.
:::

:::{grid-item-card} Étienne Descamps
Graduate
^^^
![Étienne Descamps](_images/avatars/Dark-Vador.svg){.rounded .only-light w=100px}
![Étienne Descamps](_images/avatars/Dark-Vador-dark.svg){.rounded .only-dark w=100px}

Etienne Descamps (2023-2024) was a engineer after his master's degree at L3i.

He created the first version of the `galactic-explorer` app.
:::

:::{grid-item-card} Yannis Rouhier
Undergraduate intern
^^^
![Yannis Rouhier](https://www.gravatar.com/avatar/aa2c8360ccc60260138cefdfd75200acc3014078232bc7f7ffd70f60790ad021?s=100){.rounded w=100px}

Yannis Rouhier (2023) was an intern during his third year
computer sciences bachelor's degree in 2023 at the L3i.

He created the first version of the **GALACTIC** framework.
:::

:::{grid-item-card} Romain Coste
Graduate intern
^^^
![Romain Coste](https://www.gravatar.com/avatar/2273b06b47fb7f835b7dfc90b3c5821c870c15e7cf4d68f9e7b038e370c55f8c?s=100){.rounded w=100px}

Romain Coste (2024) was an intern during his second year
computer sciences master's degree in 2024 at the L3i.

He stabilized the `galactic-explorer` app.
:::

:::{grid-item-card} Alexy Lafosse
Undergraduate intern
^^^
![Alexy Lafosse](https://www.gravatar.com/avatar/141ef57578e7d9a9ac55b2fad76c4b38c226ad1177415bb142a24eea3c62f2f8?s=100){.rounded w=100px}

Alexy Lafosse (2024) was an intern during his third year
computer sciences bachelor's degree in 2024 at the L3i.

He continued the **GALACTIC** framework.
:::

::::