:::{index} single: Theory
:name: Theory
:::

# Theoretical foundations

## Relations

:::{graphviz}
:alt: Hasse diagram of algebras
:align: center
:caption: Hasse diagram of algebras
:name: Hasse-diagram-algebras
digraph G {
  rankdir = "BT"
  margin = "0,0"
  node [shape=plaintext];

  "n-relations" [
    href="relations.html#n-ary-relations"
    target="_top"
    tooltip="n-ary relations"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">n-ary relations</TD></TR>
    </TABLE>>
  ];
  "2-relations" [
    href="relations.html#binary-relations"
    target="_top"
    tooltip="Binary relations"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Binary relations</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">n=2</TD></TR>
    </TABLE>>
  ];
  "endo-relations" [
    href="relations.html#endo-relations"
    target="_top"
    tooltip="Endo relations"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Endo relations</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">domain=codomain</TD></TR>
    </TABLE>>
  ];
  "posets" [
    href="posets.html#posets"
    target="_top"
    tooltip="Posets"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Posets</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">reflexive</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">antisymmetric</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">transitive</TD></TR>
    </TABLE>>
  ];
  "join-semilattices" [
    href="lattices.html#semi-lattices"
    target="_top"
    tooltip="Join semi-lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Join semi-lattices</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">join operation</TD></TR>
    </TABLE>>
  ];
  "meet-semilattices" [
    href="lattices.html#semi-lattices"
    target="_top"
    tooltip="Meet semi-lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Meet semi-lattices</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">meet operation</TD></TR>
    </TABLE>>
  ];
  "lattices" [
    href="lattices.html#introduction"
    target="_top"
    tooltip="Lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Lattices</TD></TR>
    </TABLE>>
  ];
  "complete-lattices" [
    href="lattices.html#lattices-complete"
    target="_top"
    tooltip="Complete lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Complete lattices</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">minimum element</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">maximum element</TD></TR>
    </TABLE>>
  ];
  "complemented-lattices" [
    href="lattices.html#lattices-complemented"
    target="_top"
    tooltip="Complemented lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Complemented lattices</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">complement law</TD></TR>
    </TABLE>>
  ];
  "upper semi-modular" [
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD ALIGN="left" BALIGN="left">upper<BR/>semi-modular</TD></TR>
    </TABLE>>
  ];
  "lower semi-modular" [label=<
    <TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD ALIGN="left" BALIGN="left">lower<BR/>semi-modular</TD></TR>
    </TABLE>>];
  "join semi-distributive" [label=<
    <TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD ALIGN="left" BALIGN="left">join<BR/>semi-distributive</TD></TR>
    </TABLE>>];
  "join distributive" [
    href="lattices.html#lattices-join-distributivity"
    target="_top"
    tooltip="Join distributive lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Join distributive lattices</TD></TR>
    </TABLE>>
  ];
  "meet semi-distributive" [label=<
    <TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD ALIGN="left" BALIGN="left">meet<BR/>semi-distributive</TD></TR>
    </TABLE>>];
  "meet distributive" [
    href="lattices.html#lattices-meet-distributivity"
    target="_top"
    tooltip="Meet distributive lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Meet distributive lattices</TD></TR>
    </TABLE>>
  ];
  "modular" [
    href="lattices.html#lattices-modular"
    target="_top"
    tooltip="Modular lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Modular lattices</TD></TR>
    </TABLE>>
  ];
  "distributive" [
    href="lattices.html#lattices-distributivity"
    target="_top"
    tooltip="Distributive lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Distributive lattices</TD></TR>
    </TABLE>>
  ];
  "boolean" [
    href="lattices.html#lattices-boolean"
    target="_top"
    tooltip="Boolean lattices"
    label=<<TABLE BORDER="0" CELLBORDER="1" CELLSPACING="0">
      <TR><TD BGCOLOR="lightblue">Boolean lattices</TD></TR>
      <TR><TD ALIGN="left" BALIGN="left">atomistic<BR/>coatomistic</TD></TR>
    </TABLE>>
  ];

  "2-relations" -> "n-relations"
  "endo-relations" -> "2-relations"
  "posets" -> "endo-relations"
  "join-semilattices" -> "posets"
  "meet-semilattices" -> "posets"
  "lattices" -> "meet-semilattices"
  "lattices" -> "join-semilattices"
  "complete-lattices" -> "lattices"
  "complemented-lattices" -> "complete-lattices"
  "upper semi-modular" -> "lattices"
  "lower semi-modular" -> "lattices"
  "join semi-distributive" -> "lattices"
  "meet semi-distributive" -> "lattices"
  "modular" -> "upper semi-modular"
  "modular" -> "lower semi-modular"
  "distributive" -> "join distributive"
  "distributive" -> "meet distributive"
  "distributive" -> "modular"
  "boolean" -> "distributive"
  "boolean" -> "complemented-lattices"
  "meet distributive" -> "join semi-distributive"
  "meet distributive" -> "lower semi-modular"
  "join distributive" -> "meet semi-distributive"
  "join distributive" -> "upper semi-modular"
}
:::

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Cartesian product
:link: relations.html#cartesian-product
:link-alt: Cartesian product
{math}`\times`
The Cartesian product is a way to combine two sets to form a new set of ordered pairs.
Each pair consists of one element from the first set and one element from the second set.
+++
[Learn more »](relations)
:::


:::{grid-item-card} Binary Relations
:link: relations.html#binary-relations
:link-alt: Binary Relations
![Relations](/_images/architecture/relation.svg){w=2ex}
A binary relation between two sets is a way of associating elements from one set with
elements from another set.
+++
[Learn more »](relations)
:::

:::{grid-item-card} {math}`n`-ary Relations
:link: relations.html#n-ary-relations
:link-alt: N-ary Relations
![N-ary Relations](/_images/architecture/n-ary.svg){w=2ex}
An {math}`n`-ary relation is a generalization of the concept of a binary relation,
extending it to involve more than two sets. While a binary relation involves
pairs of elements from two sets, an {math}`n`-ary relation involves tuples of elements
from {math}`n` sets.
+++
[Learn more »](relations)
:::

:::{grid-item-card} Endo Relations
:link: relations.html#endo-relations
:link-alt: Endo Relations
![Endo Relations](/_images/architecture/relation.svg){w=2ex}
An endo-relation is a special type of binary relation where the elements being related
come from the same set. In other words, it's a relation that a set has with itself.
+++
[Learn more »](relations)
:::
::::

## Posets

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Partial orders
:link: posets.html#partial-orders
:link-alt: Posets
{math}`\leq`
A poset is a set where some elements are related to each other in a specific way,
but not all elements need to be comparable. This relationship is a binary relation on
the set itself, meaning it pairs elements from the set with other elements
from the same set.
+++
[Learn more »](posets)
:::

:::{grid-item-card} Covering relations
:link: posets.html#covering-relations
:link-alt: Posets
{math}`\prec`
A covering relation is a specific type of relation in a partially ordered set (poset)
that describes the immediate or direct successors of an element. It's like identifying
the very next step or level up from a given position.
+++
[Learn more »](posets)
:::
::::

## Lattices

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Lattices
:link: lattices.html#definition
:link-alt: Lattices
![Lattices](/_images/architecture/lattice.svg){w=2ex}
A lattice is a special type of partially ordered set (poset) where every pair of elements
has both a least upper bound (supremum) and a greatest lower bound (infimum).
+++
[Learn more »](lattices)
:::

:::{grid-item-card} Semi-lattices
:link: lattices.html#semi-lattices
:link-alt: Semi-lattices
![Semi-lattices](/_images/architecture/lattice.svg){w=2ex}
A semi-lattice is a partial order where any two elements have either a least upper bound
(join) or a greatest lower bound (meet), but not necessarily both. It's like having a
structure where you can always find a common "top" or "bottom" for any pair of elements,
but not both.
+++
[Learn more »](lattices)
:::

:::{grid-item-card} Special elements
:link: lattices.html#special-elements
:link-alt: Special elements
![Special elements](/_images/architecture/lattice.svg){w=2ex}
The minimum, the maximum, the atoms, the co-atoms, the join and meet irreducibles are
special elements that help in understanding the structure and properties of a lattice,
providing insights into its foundational components.
+++
[Learn more »](lattices)
:::
::::

## Set theoretic operators

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Closure operator
:link: operators.html#operators-closure-operators
:link-alt: Closures
![Closure operators](/_images/architecture/closure.svg){w=2ex}
A closure operator is a function that takes a subset of a universe and returns a
closed version of that subset. This closed version includes the original subset
and possibly additional elements needed to satisfy certain conditions or properties.
+++
[Learn more »](operators)
:::

:::{grid-item-card} Moore families
:link: operators.html#operators-moore-family
:link-alt: Closures
![Moore families](/_images/architecture/closed.svg){w=2ex}
A Moore family, also known as a closure system, is a collection of sets that is
closed under intersection. This means that if you take any number of sets from
the collection and find their intersection (the set of elements they all share),
that intersection is also a set in the collection.
+++
[Learn more »](operators)
:::

:::{grid-item-card} Galois connections
:link: operators.html#operators-galois-connection
:link-alt: Closures
![Galois connections](/_images/architecture/thegalactic.svg){w=2ex}
A Galois connection is a pair of mappings between two partially ordered sets (posets)
that reverses the order. It's a way to relate elements from one set to elements in
another set, while preserving certain structural properties.
+++
[Learn more »](operators)
:::
::::

## Concepts

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Contexts
:link: concepts.html#contexts
:link-alt: Contexts
![Context](/_images/architecture/relation.svg){w=2ex}
In FCA, A formal context is a structured way of organizing and analyzing data that
consists of objects and their attributes.
+++
[Learn more »](contexts)
:::

:::{grid-item-card} Concepts
:link: concepts.html#concepts
:link-alt: Concepts
![Concept](/_images/architecture/concept.svg){w=2ex}
In FCA, a concept is a fundamental unit that pairs a set of objects with a set of
attributes that those objects share. It's a way to group and understand data by
identifying common characteristics.
+++
[Learn more »](concepts)
:::

:::{grid-item-card} Concept lattices
:link: concepts.html#definition
:link-alt: Concept lattices
![Concept lattices](/_images/architecture/lattice.svg){w=2ex}
A concept lattice is a special type of lattice used in formal concept analysis (FCA)
to represent the relationships between objects and their attributes. It's a way to
organize and visualize data by grouping objects that share common attributes.
+++
[Learn more »](concepts)
:::

:::{grid-item-card} AOC-posets
:link: concepts.html#aoc-posets
:link-alt: AOC-posets
![AOC-posets](/_images/architecture/poset.svg){w=2ex}
An AOC-poset, or Attribute-Object-Concept Poset, is a structure in formal concept analysis
(FCA) that focuses on concepts where a specific object or attribute appears. It highlights
the relevance of particular objects or attributes within the lattice of concepts.
+++
[Learn more »](concepts)
:::
::::

## Description lattices

::::{grid} 1 2 2 2
:gutter: 1 1 1 2

:::{grid-item-card} Description spaces
:link: descriptions.html#description-spaces
:link-alt: Description spaces
![Description spaces](/_images/architecture/pattern.svg){w=2ex}
A description space is a framework used in formal concept analysis (FCA) to represent
and analyze the attributes or features of objects in a structured way.
It provides a way to describe objects based on their characteristics and to explore
the relationships between these descriptions.
+++
[Learn more »](descriptions)
:::

:::{grid-item-card} Generalised convex hulls
:link: descriptions.html#generalised-convex-hulls
:link-alt: Generalised convex hulls
![Generalised convex hulls](/_images/architecture/hull.svg){w=2ex}
A generalized convex hull is a concept that extends the idea of a traditional convex hull
to more complex or abstract spaces. In traditional geometry, the convex hull of a set of
points is the smallest convex shape that can enclose all the points—like wrapping a rubber
band around a set of nails.
+++
[Learn more »](descriptions)
:::

:::{grid-item-card} Description lattices
:link: descriptions.html#definition
:link-alt: Description lattices
![Description lattices](/_images/architecture/lattice.svg){w=2ex}
Description lattices are an extension of concept lattices in which the intensions of each
concept are described by the boundaries of generalized convex hulls.
+++
[Learn more »](descriptions)
:::
::::


```{toctree}
:hidden:
Relations <relations>
Posets <posets>
Lattices <lattices>
Operators <operators>
Concepts lattices <concepts>
Descriptions lattices <descriptions>
```
